RagTime5StructManager::Field Struct Reference

a field of RagTime 5/6 structures More...

`#include <RagTime5StructManager.hxx>`

## Public Types

enum | Type { T_Unknown , T_Bool , T_Double , T_Long , T_2Long , T_FieldList , T_LongList , T_DoubleList , T_TabList , T_Code , T_Color , T_CondColor , T_PrintInfo , T_String , T_Unicode , T_ZoneId , T_LongDouble , T_Unstructured }
| the different type More...

## Public Member Functions

| Field ()
| constructor
| Field (Field const &)=default
| ~Field ()
| destructor

## Public Attributes

Type | m_type
| the field type
unsigned long | m_fileType
| the file type
std::string | m_name
| the field type name
long | m_longValue [2]
| the long value
double | m_doubleValue
| the double value
MWAWColor | m_color
| the color
librevenge::RVNGString | m_string
| small string use to store a string or a 4 char code
std::vector< long > | m_longList
| the list of long value
std::vector< double > | m_doubleList
| the list of double value
int | m_numLongByData
| the number of long by data (in m_longList)
std::vector< TabStop > | m_tabList
| the list of tabStop
std::vector< Field > | m_fieldList
| the list of field
MWAWEntry | m_entry
| entry to defined the position of a String or Unstructured data
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, RagTime5StructManager::Field const &field)
| operator<<

## Detailed Description

a field of RagTime 5/6 structures

## Member Enumeration Documentation

## Type

enum RagTime5StructManager::Field::Type

the different type

Enumerator
T_Unknown |
T_Bool |
T_Double |
T_Long |
T_2Long |
T_FieldList |
T_LongList |
T_DoubleList |
T_TabList |
T_Code |
T_Color |
T_CondColor |
T_PrintInfo |
T_String |
T_Unicode |
T_ZoneId |
T_LongDouble |
T_Unstructured |

## Constructor & Destructor Documentation

## Field() [1/2]

RagTime5StructManager::Field::Field | ( |  | ) |

inline

constructor

Referenced by Field().

## Field() [2/2]

RagTime5StructManager::Field::Field | ( | Field const & |  | ) |

default

## ~Field()

RagTime5StructManager::Field::~Field | ( |  | ) |

inline

destructor

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | RagTime5StructManager::Field const & | field )

friend

operator<<

## Member Data Documentation

## m_color

MWAWColor RagTime5StructManager::Field::m_color

the color

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_doubleList

std::vector<double> RagTime5StructManager::Field::m_doubleList

the list of double value

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_doubleValue

double RagTime5StructManager::Field::m_doubleValue

the double value

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_entry

MWAWEntry RagTime5StructManager::Field::m_entry

entry to defined the position of a String or Unstructured data

Referenced by Field(), RagTime5StyleManager::GraphicStyle::read(), and RagTime5StructManager::readField().

## m_extra

std::string RagTime5StructManager::Field::m_extra

extra data

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_fieldList

std::vector<Field> RagTime5StructManager::Field::m_fieldList

the list of field

Referenced by Field(), operator<<, RagTime5StructManager::GObjPropFieldParser::parseField(), RagTime5StyleManager::GraphicStyle::read(), RagTime5StyleManager::TextStyle::read(), and RagTime5StructManager::readField().

## m_fileType

unsigned long RagTime5StructManager::Field::m_fileType

the file type

Referenced by Field(), operator<<, RagTime5StructManager::GObjPropFieldParser::parseField(), RagTime5StyleManager::GraphicStyle::read(), RagTime5StyleManager::TextStyle::read(), RagTime5StructManager::readField(), and RagTime5Document::readStructData().

## m_longList

std::vector<long> RagTime5StructManager::Field::m_longList

the list of long value

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_longValue

long RagTime5StructManager::Field::m_longValue[2]

the long value

Referenced by Field(), operator<<, RagTime5StyleManager::GraphicStyle::read(), RagTime5StyleManager::TextStyle::read(), RagTime5StructManager::readField(), and RagTime5Document::readStructData().

## m_name

std::string RagTime5StructManager::Field::m_name

the field type name

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_numLongByData

int RagTime5StructManager::Field::m_numLongByData

the number of long by data (in m_longList)

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_string

librevenge::RVNGString RagTime5StructManager::Field::m_string

small string use to store a string or a 4 char code

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_tabList

std::vector<TabStop> RagTime5StructManager::Field::m_tabList

the list of tabStop

Referenced by Field(), operator<<, and RagTime5StructManager::readField().

## m_type

Type RagTime5StructManager::Field::m_type

the field type

Referenced by Field(), operator<<, RagTime5StructManager::GObjPropFieldParser::parseField(), RagTime5StyleManager::GraphicStyle::read(), RagTime5StyleManager::TextStyle::read(), RagTime5StructManager::readField(), and RagTime5Document::readStructData().

The documentation for this struct was generated from the following file:

- RagTime5StructManager.hxx